PUT /api/v3/savings/meter/{meterId}/adjustment/special/{specialAdjustmentId}

Edit a special adjustment Meter Cost Avoidance Savings will be re-calculated

EditSpecialAdjustmentV3 Permissions: SavingsAdjustments (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter with the special adjustment to edit integer (int32) Required
specialAdjustmentId The special adjustment to edit integer (int32) Required

Request Body

SpecialAdjustmentEdit
Property Description Type
annualCycleEndMMDD The frequency end period Should only be passed when frequency type is Recurring Required (defined) integer (int32)
annualCycleStartMMDD The frequency start period Should only be passed when frequency type is Recurring Required (defined) integer (int32)
comments Reason for making the special adjustment Required string
endDate The end date Required Must be greater than StartDate string (date-time)
specialAdjustmentMethodId The special adjustment method identifier Required integer (int32)
specialAdjustmentTypeId The special adjustment type identifier Required integer (int32)
startDate The start date Required string (date-time)
value The amount See special adjustment method list for acceptable precision Precision of -1 means the value should not be passed in Required (defined) number (double)
Example Request Body application/json
{  "annualCycleEndMMDD": 1,  "annualCycleStartMMDD": 1,  "comments": "string",  "endDate": "2026-03-30",  "specialAdjustmentMethodId": 1,  "specialAdjustmentTypeId": 1,  "startDate": "2026-03-30",  "value": 1.0
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SpecialAdjustmentResponse
Property Description Type
comments Special adjustment comments string
createdByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Created date string (date-time)
frequency Frequency
Frequency properties
Property Description Type
annualCycleEndInfo Frequency cycle end of recurrence (format is MMM DD) string
annualCycleEndMMDD Frequency end period integer (int32)
annualCycleStartInfo Frequency cycle beginning of recurrence (format is MMM DD) string
annualCycleStartMMDD Frequency start period integer (int32)
endDate End date string (date-time)
frequency Frequency of special adjustment (Continuous or Recurring) string
startDate Start date string (date-time)
indexNumber Sequence number; this controls the order in which special adjustments will be processed for this meter integer (int32)
modifiedByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate Last modified date string (date-time)
specialAdjustmentId Special adjustment identifier integer (int32)
specialAdjustmentMethod AdjustmentBaseMethodChild
AdjustmentBaseMethodChild properties
Property Description Type
label Special adjustment method description string
specialAdjustmentMethodId Special adjustment method identifier integer (int32)
specialAdjustmentType SpecialAdjustmentType
SpecialAdjustmentType properties
Property Description Type
specialAdjustmentTypeCode Special Adjustment type code string
specialAdjustmentTypeId Special Adjustment type identifier integer (int32)
specialAdjustmentTypeInfo Special Adjustment type name string
value Amount number (double)
Example Response application/json
{  "comments": "string",  "createdByUser": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "frequency": {    "annualCycleEndInfo": "string",    "annualCycleEndMMDD": 1,    "annualCycleStartInfo": "string",    "annualCycleStartMMDD": 1,    "endDate": "2026-03-30",    "frequency": "string",    "startDate": "2026-03-30"
  },  "indexNumber": 1,  "modifiedByUser": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "specialAdjustmentId": 1,  "specialAdjustmentMethod": {    "label": "string",    "specialAdjustmentMethodId": 1
  },  "specialAdjustmentType": {    "specialAdjustmentTypeCode": "string",    "specialAdjustmentTypeId": 1,    "specialAdjustmentTypeInfo": "string"
  },  "value": 1.0
}